#include<iostream>
using namespace std;

int main ()
{
    int n, n2, k;
    char c, c2;

    cin >> n >> c;

    cin >> n2 >> c2;

    cin >> k;

    if (c=='A')
    {
        if (k>=n)
        {
            cout << n;
        }

        if (k<n)
        {
            cout << k;
        }
    }

    if (c=='B')
    {
        if (k<=n)
        {
            cout << 0;
        }
        if (k>n)
        {
            cout << k-n;
        }
    }

    return 0;
}

